#
# spec file for package resmgr (Version 0.9.8)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         resmgr
%define tarversion 20040226
License:      GPL
Group:        System/Daemons
Version:      0.9.8
Release:      47.6
Summary:      A program to allow arbitrary access to device files
Source:       %{name}-%tarversion.tar.bz2
Source1:      resmgr.init
Source2:      resmgr.conf
Source3:      README.SuSE
Source4:      desktopdev
Patch:        resmgr-20040129.dif
Patch1:       resmgr-ide26-security.patch
Patch2:       resmgr-verbose.patch
Patch3:       resmgr-uninitialized.patch
Patch4:       resmgr-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.lst.de/~okir/resmgr
PreReq:       %insserv_prereq %fillup_prereq
Autoreqprov:  on

%description
The resource manager is a framework to give user applications access to
certain device files. The resource manager daemon can be configured to
give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to and
removed from resource classes at run time), and it provides transparent
access to the raw SCSI device corresponding to a CD writer or a
scanner.



Authors:
--------
    Olaf Kirch <okir@suse.de>

%prep
%setup -q -n %name-%tarversion
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
DESTDIR=$RPM_BUILD_ROOT; rm -rf $DESTDIR
make install DESTDIR=$RPM_BUILD_ROOT
# 64bit libdir fixes:
if [ "%_lib" != "lib" ]; then
	mv $DESTDIR/lib $DESTDIR/%_lib
fi
mkdir -p $DESTDIR%{_libdir}
ln -sf ../../%{_lib}/libresmgr.so.0.9.8 $DESTDIR%{_libdir}/libresmgr.so
mkdir -p $DESTDIR/etc/init.d
cp %SOURCE1 $DESTDIR/etc/init.d/resmgr
mkdir -p $DESTDIR/usr/sbin/
ln -s ../../etc/init.d/resmgr $DESTDIR/usr/sbin/rcresmgr
# install config file
cp %SOURCE2 $DESTDIR/etc/resmgr.conf
cp %SOURCE3 .
install -d $DESTDIR/etc/hotplug/usb
install -c -m755 %SOURCE4 $DESTDIR/etc/hotplug/usb
# pam module was moved to another package
rm $RPM_BUILD_ROOT/usr/share/man/man8/pam_resmgr.8*

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal resmgr

%post
%run_ldconfig
%{fillup_and_insserv -y resmgr}

%postun
%restart_on_update resmgr
%run_ldconfig
%{insserv_cleanup}

%files
%defattr(644,root,root,755)
%doc README COPYING README.SuSE
%attr(644,root,root) %config(noreplace) /etc/resmgr.conf
%attr(755,root,root) %config /etc/init.d/resmgr
%attr(755,root,root) %dir /etc/hotplug
%attr(755,root,root) %dir /etc/hotplug/usb
%attr(755,root,root) /etc/hotplug/usb/desktopdev
%attr(755,root,root) /%_lib/libresmgr*
%attr(755,root,root) %{_libdir}/libresmgr.so
%attr(755,root,root) /usr/sbin/rcresmgr
%attr(755,root,root) /sbin/resmgr
%attr(755,root,root) /sbin/resmgrd
%attr(644,root,root) %_mandir/man?/*.[0-9]*
%attr(644,root,root) /usr/include/resmgr.h

%changelog -n resmgr
* Mon Oct 18 2004 - okir@suse.de
- Do not allow users to create resmgr sessions (#47001)
* Fri Apr 23 2004 - okir@suse.de
- Another uninitialized variable (#39269)
* Tue Apr 20 2004 - trenn@suse.de
- rsm_list_devices may return undefined sessions (adress out of bounds)
* Tue Mar 30 2004 - okir@suse.de
- Make /dev/pilot accessible to desktop users (#36926)
* Thu Mar 18 2004 - okir@suse.de
- Be more selective in what we log to syslog (#36393)
- Stop resmgr on uninstall; restart on update (#36308)
* Wed Mar 10 2004 - okir@suse.de
- Patch for security problem on 2.6 kernels (#34567, #34786)
- dev/usb/scanner* no longer exist in 2.6
* Fri Feb 27 2004 - okir@suse.de
- API update: implemented rsm_list_sessions
* Sat Feb 21 2004 - schwab@suse.de
- Fix typo in start script.
* Fri Feb 20 2004 - kukuk@suse.de
- Move PAM module to pam-modules package
- Run ldconfig
- Build as normal user
* Thu Feb 19 2004 - okir@suse.de
- Removed "scsi" flag from all cdrom devices, as all cd writing
  is now through the new 2.6 interface that doesn't require
  generic SCSI anymore (in fact it breaks cdrecord if you try :)
* Tue Feb 17 2004 - okir@suse.de
- Minor fix to desktop script: do not barf if we're not given a DEVICE name
* Thu Jan 29 2004 - okir@suse.de
- Folded all previous patches into CVS repository,
  created new snapshot.
- Fix paride name parsing
* Sat Jan 17 2004 - ro@suse.de
- added pam-devel to neededforbuild
* Mon Aug 04 2003 - okir@suse.de
- fixed bad use of vlog()
- fixed minor typo in resmgr.conf
* Mon Jun 30 2003 - ro@suse.de
- fix build with current includes
* Wed Mar 05 2003 - okir@suse.de
- properly handle sendmsg errors (partial fix for #24591)
* Mon Mar 03 2003 - okir@suse.de
- patch for ssh support (#24363)
* Sat Mar 01 2003 - meissner@suse.de
- resmgr.h: Wrap function declarations in extern "C" {} for C++ usage.
* Fri Feb 28 2003 - meissner@suse.de
- Fixed usb:x,y:/proc/bus/usb/x/y handling.
- Parse usb:00x,00y as decimal and not as octal.
- Added comment to resmgr.conf on how to give permissions to other
  users.
* Mon Feb 17 2003 - meissner@suse.de
- Added a generic desktopdev script USB hotplugging, which
  just adds a USB device on plugin/-out.
- Moved binaries to /sbin/ and library to /lib so we can start before
  hotplug without $remotefs.
- No longer require $remotefs.
* Mon Feb 17 2003 - meissner@suse.de
- Added the SANE /dev/scanner, /dev/usb*scanner* devices, and
  /dev/mixer.
* Thu Feb 06 2003 - okir@suse.de
- rcresmgr stop now exits with status 0 even if the daemon isn't
  running at all (23347).
* Wed Feb 05 2003 - okir@suse.de
- fixed bad syslog() level in pam_resmgr
* Thu Jan 30 2003 - meissner@suse.de
- daemon is default enabled.
* Tue Jan 28 2003 - meissner@suse.de
- start in runlevel 5.
* Mon Nov 11 2002 - okir@suse.de
- bugfix to get it working with cdrecord
* Fri Nov 08 2002 - okir@suse.de
- updated to new version, added resmgr.conf
* Tue Nov 05 2002 - okir@suse.de
- Initial packaging
